Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eu.osci.messageparts
Class OSCIFragmentParser

    java.lang.Object
      eu.osci.messageparts.OSCIFragmentParser

    public class OSCIFragmentParser

extends java.lang.Object

Internal class for parsing the incoming OSCI message.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Constructor Summary
`OSCIFragmentParser()`

Method Summary
`static java.lang.Object` | `createAddressingHeader(com.sun.xml.ws.api.message.HeaderList hl, AddressingHeaderTag addressingHeaderTag)` For internal usage only!
`static com.sun.xml.ws.api.message.Header` | `createMetadata(com.sun.xml.ws.api.message.HeaderList hl)` Creates a wsa:Metadata header out of the given header list.
`static java.lang.Object` | `createOSCIHeader(com.sun.xml.ws.api.message.HeaderList hl, OSCIHeaderTag osciHeaderTag)` For internal usage only!
`static java.util.List<org.w3._2005._08.addressing.RelatesToType>` | `getAddressingRelatesTo(com.sun.xml.ws.api.message.HeaderList hl)` Returns the addressing 'RelatesTo' element out of the given header list.
`static java.util.List<org.w3._2002._03.xkms.CompoundResultType>` | `getCompoundResultType(com.sun.xml.ws.api.message.HeaderList headerList)` Returns the XKMS 'CompoundResult' element out of the given header list.
`static eu.osci.ws._2008._05.transport.MsgBoxResponseType` | `getMsgBoxResponseType(com.sun.xml.ws.api.message.HeaderList hl)` Returns the OSCI 'MsgBoxResponse' element out of the given header list.
`static eu.osci.ws._2008._05.transport.MsgStatusListType` | `getMsgStatusListType(com.sun.xml.ws.api.message.Message message)` Returns the OSCI 'MsgStatusList' element out of the given SOAP message.
`static eu.osci.ws._2008._05.transport.ReceptionReceiptDemandType` | `getReceiptDemand(com.sun.xml.ws.api.message.HeaderList hl)` Returns the OSCI 'ReceptionReceiptDemand' element out of the given header list.
`static org.oasis_open.docs.ws_sx.ws_trust._200512.RequestSecurityTokenResponseCollectionType` | `getRequestSecurityTokenResponseCollection(com.sun.xml.ws.api.message.HeaderList hl)` Returns the OSCI 'RequestSecurityTokenResponseCollection' element out of the given header list.
`static java.lang.String` | `getTypeOfBusinessScenario(org.w3._2005._08.addressing.EndpointReferenceType epr)` Returns the TypeOfBusinessConnector string out of the given EndpointReference.
`static eu.osci.ws._2008._05.transport.X509TokenContainerType` | `getX509Container(com.sun.xml.ws.api.message.HeaderList hl)` Returns the OSCI 'X509TokenContainer' element out of the given header list.
`static eu.osci.ws._2008._05.transport.X509TokenContainerType` | `getX509TokenContainer(com.sun.xml.ws.api.message.HeaderList hl)` Returns the OSCI 'X509TokenContainer' element out of the given header list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OSCIFragmentParser

    public OSCIFragmentParser()

Method Detail

### getAddressingRelatesTo

    public static java.util.List<org.w3._2005._08.addressing.RelatesToType> getAddressingRelatesTo(com.sun.xml.ws.api.message.HeaderList hl)
                                                                                            throws javax.xml.bind.JAXBException

  Returns the addressing 'RelatesTo' element out of the given header list.

  Parameters:
    `hl` - Header list including the 'RelatesTo' header.
  Returns:
    The requested addressing element or `null` if not present.
  Throws:
    `javax.xml.bind.JAXBException` - In the case of parsing errors.

### getReceiptDemand

    public static eu.osci.ws._2008._05.transport.ReceptionReceiptDemandType getReceiptDemand(com.sun.xml.ws.api.message.HeaderList hl)
                                                                                      throws javax.xml.bind.JAXBException

  Returns the OSCI 'ReceptionReceiptDemand' element out of the given header list.

  Parameters:
    `hl` - Header list including the 'ReceptionReceiptDemand' header.
  Returns:
    The requested OSCI element or `null` if not present.
  Throws:
    `javax.xml.bind.JAXBException` - In the case of parsing errors.

### getX509TokenContainer

    public static eu.osci.ws._2008._05.transport.X509TokenContainerType getX509TokenContainer(com.sun.xml.ws.api.message.HeaderList hl)
                                                                                       throws javax.xml.bind.JAXBException

  Returns the OSCI 'X509TokenContainer' element out of the given header list.

  Parameters:
    `hl` - Header list including the 'X509TokenContainer' header.
  Returns:
    The requested OSCI element or `null` if not present.
  Throws:
    `javax.xml.bind.JAXBException` - In the case of parsing errors.

### getX509Container

    public static eu.osci.ws._2008._05.transport.X509TokenContainerType getX509Container(com.sun.xml.ws.api.message.HeaderList hl)
                                                                                  throws javax.xml.bind.JAXBException

  Returns the OSCI 'X509TokenContainer' element out of the given header list.

  Parameters:
    `hl` - Header list including the 'X509TokenContainer' header.
  Returns:
    The requested OSCI element or `null` if not present.
  Throws:
    `javax.xml.bind.JAXBException` - In the case of parsing errors.

### getRequestSecurityTokenResponseCollection

    public static org.oasis_open.docs.ws_sx.ws_trust._200512.RequestSecurityTokenResponseCollectionType getRequestSecurityTokenResponseCollection(com.sun.xml.ws.api.message.HeaderList hl)
                                                                                                                                           throws javax.xml.bind.JAXBException

  Returns the OSCI 'RequestSecurityTokenResponseCollection' element out of the given header list.

  Parameters:
    `hl` - Header list including the 'RequestSecurityTokenResponseCollection' header.
  Returns:
    The requested OSCI element or `null` if not present.
  Throws:
    `javax.xml.bind.JAXBException` - In the case of parsing errors.

### getMsgBoxResponseType

    public static eu.osci.ws._2008._05.transport.MsgBoxResponseType getMsgBoxResponseType(com.sun.xml.ws.api.message.HeaderList hl)
                                                                                   throws javax.xml.bind.JAXBException

  Returns the OSCI 'MsgBoxResponse' element out of the given header list.

  Parameters:
    `hl` - Header list including the 'MsgBoxResponse' header.
  Returns:
    The requested OSCI element or `null` if not present.
  Throws:
    `javax.xml.bind.JAXBException` - In the case of parsing errors.

### getMsgStatusListType

    public static eu.osci.ws._2008._05.transport.MsgStatusListType getMsgStatusListType(com.sun.xml.ws.api.message.Message message)
                                                                                 throws javax.xml.bind.JAXBException

  Returns the OSCI 'MsgStatusList' element out of the given SOAP message.

  Parameters:
    `message` - The SOAP message to search for the MsgStatusList.
  Returns:
    The requested OSCI element or `null` if not present.
  Throws:
    `javax.xml.bind.JAXBException` - In the case of parsing errors.

### getCompoundResultType

    public static java.util.List<org.w3._2002._03.xkms.CompoundResultType> getCompoundResultType(com.sun.xml.ws.api.message.HeaderList headerList)
                                                                                          throws javax.xml.bind.JAXBException

  Returns the XKMS 'CompoundResult' element out of the given header list.

  Parameters:
    `headerList` - Header list including the 'CompoundResult' header.
  Returns:
    The requested XKMS 'CompoundResult' element or `null` if not present.
  Throws:
    `javax.xml.bind.JAXBException` - In the case of parsing errors.

### createAddressingHeader

    public static java.lang.Object createAddressingHeader(com.sun.xml.ws.api.message.HeaderList hl,
                                                          AddressingHeaderTag addressingHeaderTag)
                                                   throws javax.xml.bind.JAXBException

  For internal usage only! Creates a addressing object out of the given header list.

  Parameters:
    `hl` - Header list that includes the addressing header.
    `addressingHeaderTag` - QName of the addressing element that would be created.
  Returns:
    The created addressing object or `null` in the case of no occurrence.
  Throws:
    `javax.xml.bind.JAXBException` - If the structure of the element is not the expected.

### createMetadata

    public static com.sun.xml.ws.api.message.Header createMetadata(com.sun.xml.ws.api.message.HeaderList hl)

  Creates a wsa:Metadata header out of the given header list.

  Parameters:
    `hl` - Header list out of the SOAP message.
  Returns:
    The created wsa:Metadata header.

### getTypeOfBusinessScenario

    public static java.lang.String getTypeOfBusinessScenario(org.w3._2005._08.addressing.EndpointReferenceType epr)

  Returns the TypeOfBusinessConnector string out of the given EndpointReference.

  Parameters:
    `epr` - EndpointReference with a TypeOfBusinessConnector element.

### createOSCIHeader

    public static java.lang.Object createOSCIHeader(com.sun.xml.ws.api.message.HeaderList hl,
                                                    OSCIHeaderTag osciHeaderTag)
                                             throws javax.xml.bind.JAXBException

  For internal usage only! Creates an OSCI object out of the given header list.

  Parameters:
    `hl` - Header list that includes the OSCI header.
    `osciHeaderTag` - QName of the OSCI element that would be created.
  Returns:
    The created OSCI object or `null` in the case of no occurrence.
  Throws:
    `javax.xml.bind.JAXBException` - If the structure of the element is not the expected.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Freie Hansestadt Bremen.